WordPress 外掛程式「檔案管理員」6.x < 6.9 遠端程式碼執行

critical Nessus Plugin ID 140211

Synopsis

遠端 WordPress 應用程式安裝的外掛程式容易受到遠端程式碼執行弱點影響。

描述

遠端主機上執行的 WordPress 應用程式安裝的「檔案管理員」外掛程式版本為 6.9 之前的 6.x。因此,該應用程式受到遠端程式碼執行弱點的影響,這是未正確包含 elFinder 所致。未經驗證的遠端攻擊者可惡意利用此弱點,透過將特別建構的要求傳送至 connector.minimal.php 檔案,在容易受到影響的 WordPress 網站上執行遠端程式碼。

請注意,Nessus 並未測試此問題,而是僅依據應用程式自我報告的版本號碼。

解決方案

將「檔案管理員」外掛程式升級至 6.9 或更新版本。

另請參閱

http://www.nessus.org/u?53de38d7

Plugin 詳細資訊

嚴重性: Critical

ID: 140211

檔案名稱: wordpress_plugin_wp_file_manager_6_9_rce.nasl

版本: 1.8

類型: remote

系列: CGI abuses

已發布: 2020/9/4

已更新: 2022/2/8

風險資訊

VPR

風險因素: Critical

分數: 9.6

CVSS v2

風險因素: High

基本分數: 7.5

時間分數: 6.5

媒介: AV:N/AC:L/Au:N/C:P/I:P/A:P

時間媒介: E:H/RL:OF/RC:C

CVSS 評分資料來源: CVE-2020-25213

CVSS v3

風險因素: Critical

基本分數: 9.8

時間分數: 9.4

媒介: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

時間媒介: E:H/RL:O/RC:C

弱點資訊

CPE: cpe:/a:wordpress:wordpress

必要的 KB 項目: installed_sw/WordPress, www/PHP

可被惡意程式利用: true

可輕鬆利用: Exploits are available

修補程式發佈日期: 2020/9/1

弱點發布日期: 2020/9/1

CISA 已知利用日期: 2022/5/3

惡意利用途徑

Metasploit (WordPress File Manager Unauthenticated Remote Code Execution)

Elliot (WordPress File Manager < 6.9 File Upload)

參考資訊

CVE: CVE-2020-25213

IAVA: 2020-A-0425